(ns gen.core
  (:require [clojure.string :as str]
            [clj-yaml.core :as yaml]
            [scan.lang.php.laravel]))

(def
  ^{}
  run
  (fn [args]
    (println
       (yaml/generate-string
        {"openapi" "3.0.0"
         :info
         {:version 1
          :title "thing"
          :license
          {:name "MIT"}}
         :servers
         [
          {:url "thing"}]
         :paths
         (scan.lang.php.laravel/routes (first args))}
        :dumper-options {:indent 2
                         :indicator-indent 1
                         :flow-style :block}))))

(comment 
  
)

(defn -main [& argv]
  (prn (run argv)))